### Hierarchy

- OwnPropsOfExpandPanel
  - StatePropsOfExpandPanel

## Index

### Properties

- cells
- childLabelProp
- config
- enableMoveDown
- enableMoveUp
- expanded
- index
- path
- renderers
- rootSchema
- schema
- uischema

### Methods

- handleExpansion

## Properties

### Optional cells

cells: JsonFormsCellRendererRegistryEntry[]

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:47

### Optional childLabelProp

childLabelProp: string

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:52

### config

config: any

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:51

### enableMoveDown

enableMoveDown: boolean

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:50

### enableMoveUp

enableMoveUp: boolean

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:49

### expanded

expanded: boolean

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:45

### index

index: number

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:41

### path

path: string

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:42

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:46

### rootSchema

rootSchema: JsonSchema

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:48

### schema

schema: JsonSchema

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:44

### uischema

uischema: ControlElement

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:43

## Methods

### handleExpansion

- handleExpansion(panel: string): function

- - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:53

  #### Parameters

  - ##### panel: string

  #### Returns function

  - - (event: any, expanded: boolean): void

    - #### Parameters

      - ##### event: any

      - ##### expanded: boolean

      #### Returns void

Generated using TypeDoc